Subject: [SWIPL]

From: Bill Hollingsworth <[email-masked]>
Date: Wed, 07 Feb 2001 19:49:37 -0500

>How do you explain the confusion between a number N and a list of a number
 >[N]?
 > For instance, "?- [2]<3." succeeds and "?- X is [2]+3." leads to X=5.
 >Jean-louis Bouquard

A set containing the element n is different from the element n. In Prolog, 
the list containing a number n is denoted [n]. [n] is not a  number; it is 
a list containing a number. Similarly, [] is different from  [[]]. The 
first is the empty list and the second is the one element list which has 
the empty list as its element.

Bill Hollingsworth
Computer Science Department
The University of Georgia
http://www.billnet.org